# pqxx::sql_error Class Reference
[Exception classes]

Exception class for failed queries. More...

`#include <except.hxx>`

Inheritance diagram for pqxx::sql_error:

[legend]

List of all members.

## Public Member Functions
| sql_error ()
| sql_error (const std::string &)
| sql_error (const std::string &, const std::string &Q)
virtual | ~sql_error () throw ()
const std::string & | query () const throw ()
| The query whose execution triggered the exception.

## Detailed Description

Exception class for failed queries.

Carries a copy of the failed query in addition to a regular error message

## Constructor & Destructor Documentation

pqxx::sql_error::sql_error | ( |  | ) |

pqxx::sql_error::sql_error | ( | const std::string & | whatarg | ) | `[explicit]`

pqxx::sql_error::sql_error | ( | const std::string & | whatarg,
|  | const std::string & | Q |
| ) |  |  |

pqxx::sql_error::~sql_error | ( |  | ) | throw ()`[virtual]`

## Member Function Documentation

const string & pqxx::sql_error::query | ( |  | ) | const throw ()

The query whose execution triggered the exception.

The documentation for this class was generated from the following files:

- except.hxx
- except.cxx